## ros-lunar-naoqi-libqi 2.5.0

=== bin/CMakeLists.txt ===
## Copyright (c) 2012, 2013, 2014, 2015 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

cmake_minimum_required(VERSION 2.8)
project(LibQiBin)
find_package(qibuild)
qi_sanitize_compile_flags(HIDDEN_SYMBOLS)

if ("${CMAKE_CXX_COMPILER_ID}" STREQUAL "Clang" OR "${CMAKE_CXX_COMPILER_ID}" STREQUAL "GNU")
  set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -Wall -Wextra")
endif()

option(WITH_PERF     "Performances test" ON)

add_subdirectory("qicli")
add_subdirectory("qiclient")
add_subdirectory("qiservice")
add_subdirectory("qimaster")
add_subdirectory("qigateway")
add_subdirectory("perfs")

=== examples/CMakeLists.txt ===
## Copyright (c) 2012 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.

project(qi_examples)

qi_create_bin(qipath_example qipath_example.cpp NO_INSTALL)
qi_use_lib(qipath_example QI)
set_target_properties(qipath_example PROPERTIES FOLDER "examples")

qi_create_bin(sharedlibrary_example sharedlibrary_example.cpp NO_INSTALL)
qi_use_lib(sharedlibrary_example QI)
set_target_properties(sharedlibrary_example PROPERTIES FOLDER "examples")

qi_create_bin(log_example log_example.cpp NO_INSTALL)
qi_use_lib(log_example QI BOOST_PROGRAM_OPTIONS PTHREAD)
set_target_properties(log_example PROPERTIES FOLDER "examples")

qi_create_bin(buffer_example buffer_example.cpp NO_INSTALL)
qi_use_lib(buffer_example QI)
set_target_properties(buffer_example PROPERTIES FOLDER "examples")

if (UNIX AND WITH_BOOST_LOCALE)
  qi_create_bin(qiconvloc_example qiconvloc_example.cpp NO_INSTALL)
  qi_use_lib(qiconvloc_example QI BOOST_LOCALE)
  set_target_properties(qiconvloc_example PROPERTIES FOLDER "examples")
  add_subdirectory(qitranslate)
endif()

add_subdirectory(foo)

=== bin/qicli/CMakeLists.txt ===
##
## Author(s):
##  - Laurent LEC        <llec@aldebaran-robotics.com>
##
## Copyright (C) 2012 Aldebaran Robotics
##

project (QiCLI)

set(SRCS
  qicli.hpp
  sessionhelper.hpp
  servicehelper.hpp
  sessionhelper.cpp
  servicehelper.cpp
  almemoryhelper.hpp
  almemoryhelper.cpp
  main.cpp
  subcmds.cpp
  utils.cpp
  qitrace.cpp
  qitop.cpp
  qilog.cpp
  qimod.cpp
)

qi_create_bin(qicli
  ${SRCS}
  DEPENDS QI BOOST_PROGRAM_OPTIONS)

include_directories(./)

=== bin/qigateway/CMakeLists.txt ===
##
## Author(s):
##  - Cedric GESTES      <gestes@aldebaran-robotics.com>
##  - Herve CUCHE        <hcuche@aldebaran-robotics.com>
##
## Copyright (C) 2009, 2010, 2012 Aldebaran Robotics
##

project (QiGateway)

if(DEFINED ENV{BUILD_TAG})
  set(_build_tag $ENV{BUILD_TAG})
  add_definitions(" -DGATEWAY_BUILD_TAG=\"\\\"gateway-${_build_tag}\\\"\" ")
endif()

qi_add_optional_package(BREAKPAD)

qi_create_bin(qi-gateway
  qigatewaymain.cpp
  DEPENDS
  QI
  BOOST_PROGRAM_OPTIONS
  )

if(WITH_BREAKPAD)
  add_definitions(" -DWITH_BREAKPAD ")
  add_definitions(" -DBREAKPAD_DUMP_DIR=\"\\\"/var/lib/minidump\\\"\" ")
  qi_info("Breakpad utilities found. Enabling minidump generation.")
  qi_use_lib(qi-gateway BREAKPAD)
else()
  qi_info("Breakpad utilities not found. Disabling minidump generation.")
endif()

=== bin/qimaster/CMakeLists.txt ===
##
## Author(s):
##  - Cedric GESTES      <gestes@aldebaran-robotics.com>
##  - Chris Kilner       <ckilner@aldebaran-robotics.com>
##
## Copyright (C) 2009, 2010, 2012 Aldebaran Robotics
##

project (QiMaster)

qi_create_bin(qi-master
  qimastermain.cpp
  DEPENDS QI)

=== tests/messaging/CMakeLists.txt ===
#add_subdirectory(test_messaging)
#add_subdirectory(test_messaging_publish)
#add_subdirectory(test_transport)
#add_subdirectory(test_transport_publish)

#add_subdirectory(test_endpoint_context)
add_subdirectory(libtestsession)

qi_create_module(naoqi.testanymodule        SRC testanymodule.cpp        SHARED DEPENDS QI NO_INSTALL)
qi_create_module(naoqi.testanymodulesession SRC testanymodulesession.cpp SHARED DEPENDS QI NO_INSTALL)
install(TARGETS naoqi.testanymodule        DESTINATION lib/naoqi COMPONENT test)
install(TARGETS naoqi.testanymodulesession DESTINATION lib/naoqi COMPONENT test)

qi_create_gtest(test_anymodule_service    SRC test_anymodule.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_url                  SRC test_url.cpp       DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_transportsocketcache SRC test_transportsocketcache.cpp
  ../../src/messaging/messagedispatcher.cpp ../../src/messaging/transportserverasio_p.cpp
  ../../src/messaging/remoteobject.cpp ../../src/messaging/objecthost.cpp
  ../../src/messaging/boundobject.cpp ../../src/messaging/transportsocketcache.cpp
  ../../src/messaging/message.cpp ../../src/messaging/transportserver.cpp
  ../../src/messaging/tcptransportsocket.cpp ../../src/messaging/transportsocket.cpp DEPENDS QI TIMEOUT 30)
#qi_create_gtest(test_message_visitor      SRC test_message_visitor.cpp DEPENDS QI GTEST TIMEOUT 120)
#Not working yet
#qi_create_gtest(test_value                SRC test_value.cpp           DEPENDS QI GTEST TIMEOUT 120)
qi_create_gtest(test_binarycoder          SRC test_binarycoder.cpp     DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_without_gateway      SRC test_without_gateway.cpp DEPENDS QI GTEST TIMEOUT 30)
#qi_create_gtest(test_with_gateway         SRC test_with_gateway.cpp    DEPENDS QI GTEST TIMEOUT 120)
# `qibuild test` on mac never returns with those tests.
qimessaging_create_session_test(test_event_remote         SRC test_event_remote.cpp         DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qi_create_gtest(test_event_connect                        SRC test_event_connect.cpp        DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_sd                                   SRC test_sd.cpp                   DEPENDS QI GTEST TIMEOUT 30)
qimessaging_create_session_test(test_event_remote_connect SRC test_event_remote_connect.cpp DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_call_many            SRC test_call_many.cpp            DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_session              SRC test_session.cpp              DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_session_harder       SRC test_session_harder.cpp       DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_call                 SRC test_call.cpp                 DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
#broken
#qimessaging_create_session_test(test_autoservice  SRC test_autoservice.cpp                   DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
#qi_create_gtest(test_application                  SRC test_application.cpp                   DEPENDS QI GTEST TIMEOUT 2)
qi_create_gtest(test_gateway              SRC test_gateway.cpp              DEPENDS QI  GTEST TIMEOUT 10)
qi_create_gtest(test_testsession                  SRC test_testsession.cpp                   DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qi_create_gtest(test_metavalue_argument           SRC test_metavalue_argument.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_applicationsession           SRC test_applicationsession.cpp            DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_applicationsessionnoautoexit SRC test_applicationsession_noautoexit.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_authentication               SRC test_authentication.cpp                DEPENDS QI GTEST TIMEOUT 30)

qi_create_gtest(
  test_call_on_close_session
  SRC test_call_on_close_session.cpp
  DEPENDS TESTSESSION QI BOOST BOOST_THREAD
  TIMEOUT 60
)

qi_create_test_helper(test_appsession_opts                                    SRC test_applicationsession_opts.cpp DEPENDS QI GTEST GTEST_MAIN)
qi_add_test(test_appsession_options_low test_appsession_opts            ARGUMENTS low    TIMEOUT 30)
qi_add_test(test_appsession_options_med test_appsession_opts            ARGUMENTS medium TIMEOUT 30)
qi_add_test(test_appsession_options_high test_appsession_opts           ARGUMENTS high   TIMEOUT 30)

qi_create_gtest(test_signaturegen SRC sig_generator.cpp sig_generator.h test_signature.cpp DEPENDS TESTSESSION QI BOOST)

qimessaging_create_session_test(test_service     SRC test_service.cpp     DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_send_object SRC test_send_object.cpp DEPENDS QI GTEST TESTSESSION TIMEOUT 30)
qimessaging_create_session_test(test_proxy       SRC test_proxy.cpp       DEPENDS QI GTEST TESTSESSION TIMEOUT 30)

# those are idl tests that currently only
# work on linux, and when not cross-compiling
option(DISABLE_CODEGEN "disable the code generation (broken)" ON)

if(UNIX AND NOT APPLE)
  if (NOT I_AM_A_ROBOT AND NOT ANDROID AND NOT DISABLE_CODEGEN)
    add_subdirectory(passobject-fromservice)
    add_subdirectory(passobject-fromclient)
    add_subdirectory(task-service)
  endif()
endif()

=== tests/qi/CMakeLists.txt ===
## Copyright (c) 2012 Aldebaran Robotics. All rights reserved.
## Use of this source code is governed by a BSD-style license that can be
## found in the COPYING file.
qi_create_test_helper(testlaunch         testlaunch.cpp)
qi_create_test_helper(testlaunchloop     testlaunchloop.cpp   DEPENDS QI)
qi_create_test_helper(check_env          check_env.cpp        DEPENDS QI)
qi_create_test_helper(check_machineid    check_machineid.cpp  DEPENDS QI)
qi_create_test_helper(test_application   test_application.cpp DEPENDS QI)

qi_create_gtest(test_path_conf    SRC test_path_conf.cpp ../../src/path_conf.cpp DEPENDS QI GTEST)
qi_create_gtest(test_qipath       SRC test_qipath.cpp    ../../src/utils.cpp     DEPENDS QI GTEST)
qi_create_gtest(test_thread       SRC test_thread.cpp       DEPENDS QI BOOST_THREAD)
qi_create_gtest(test_qiclock      SRC test_qiclock.cpp      DEPENDS QI GTEST)
# test with the default chrono io, which is v1 in boost 1.55
qi_create_gtest(test_qiclock_chronoio SRC test_qiclock_chronoio.cpp DEPENDS QI GTEST)
# test with the chrono io v2.
# commented out since it does not compile
#qi_create_gtest(test_qiclock_chronoio_v2 SRC test_qiclock_chronoio.cpp DEPENDS QI GTEST)
if(TARGET test_qiclock_chronoio_v2)
  set_target_properties(test_qiclock_chronoio_v2 PROPERTIES
      COMPILE_DEFINITIONS "BOOST_CHRONO_DONT_PROVIDES_DEPRECATED_IO_SINCE_V2_0_0")
endif()
qi_create_gtest(test_qilocal      SRC test_locale.cpp       DEPENDS QI GTEST)
qi_create_gtest(test_qios         SRC test_qios.cpp         DEPENDS QI GTEST)
qi_create_gtest(test_qiatomic     SRC test_qiatomic.cpp     DEPENDS QI GTEST)
qi_create_gtest(test_qilaunch     SRC test_qilaunch.cpp     DEPENDS QI GTEST)
qi_create_gtest(test_qilog_sync   SRC test_qilog_sync.cpp   DEPENDS QI GTEST)
qi_create_gtest(test_qilog_async  SRC test_qilog_async.cpp  DEPENDS QI GTEST)
qi_create_gtest(test_strand       SRC test_strand.cpp       DEPENDS QI GTEST)
qi_create_gtest(test_future       SRC test_future.cpp       DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_futuregroup  SRC test_futuregroup.cpp  DEPENDS QI GTEST TIMEOUT)
qi_create_gtest(test_buffer       SRC test_buffer.cpp       DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_bufferreader SRC test_bufferreader.cpp DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_version      SRC test_version.cpp      DEPENDS QI GTEST TIMEOUT 30)
qi_create_gtest(test_macro        SRC test_macro.cpp        DEPENDS QI GTEST TIMEOUT 30)

=== debian/changelog ===
ros-lunar-naoqi-libqi (2.5.0-2stretch) stretch; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Surya Ambrose <surya.ambrose@gmail.com>  Wed, 06 Dec 2017 21:52:33 -0000

=== debian/control ===
Source: ros-lunar-naoqi-libqi
Section: misc
Priority: extra
Maintainer: Surya Ambrose <surya.ambrose@gmail.com>
Build-Depends: debhelper (>= 9.0.0), libboost-all-dev, ros-lunar-catkin
Homepage: http://doc.aldebaran.com/libqi
Standards-Version: 3.9.2

Package: ros-lunar-naoqi-libqi
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libboost-all-dev
Description: Aldebaran's libqi: a core library for NAOqiOS development

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/lunar/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/lunar" \
		-DCMAKE_PREFIX_PATH="/opt/ros/lunar"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-lunar-naoqi-libqi//opt/ros/lunar/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/lunar/setup.sh" ]; then . "/opt/ros/lunar/setup.sh"; fi && \
	dh_auto_install
